Cancel Free Rounds
Request Example
POST /serviceApi.php HTTP/1.1
Content-Type: application/json
https://stg.otkgaming.com/serviceApi.php
{
"action" : "cancelFreeRounds",
"platform" : 8,
"partnerId" : 1,
"data": {
"playerId": "24429392",
"externalReferenceId": "41d5-ae4a-48a83e6321a0"
},
"hash" : "36435dd6e55d8926e2b97c4ae7450bee"
}
| Property Name | Descriptio | Type | Notes |
|---|---|---|---|
| action | request type | string | |
| platform | platform identifier | integer | unique per platform |
| data[playerId] | unique player identifier | string(100) | unique per platform |
| data[externalReferenceId] | unique free round reference identifier | string(100) | unique per platform |
| hash | calculated sha256 string (privateKey provided game provider’s side) | string | hash string is calculated based on privateKey, time, and "data" in JSON string. Example $hash = hash("sha256", "privateKey15-02-2023 15:31:31json_encode(data) |
Response Example
- Success
- Rejected
https://stg.otkgaming.com
{
"code" : 0,
"message" : "ok",
"data" : {
"referenceId": "{refId}"
}
}
}
https://stg.otkgaming.com
{
"code" : 8,
"message" : "hash not valid",
"data" : null
}
{
"code" : 9,
"message" : "platform not valid (partnerid or platform values are wrong",
"data" : null
}